(defun c:kbla (/ elem selem pts)
  (vl-load-com)
  (setq elem (entlast))
  (command "_.DIVIDE" (setq selem(car (entsel)))(getint "\nAnzahl der Segmente:"))
  (setq selem (vlax-ename->vla-object selem)
	pts (list (vlax-curve-getStartPoint selem))
	)
  (while (setq elem(entnext elem))
    (setq pts(cons (cdr(assoc 10 (entget elem))) pts))
    (entdel elem)
    )
	(setq pts (cons (vlax-curve-getEndPoint selem) pts))
  (entmake(append(list
		   '(0 . "LWPOLYLINE")
		   '(100 . "AcDbEntity")
		   '(67 . 0)
		   '(410 . "Model")
		   (cons 8 (vlax-get-property selem "LAYER"))
		   '(100 . "AcDbPolyline")
		   (cons 90 (length pts))
		   '(70 . 0)
		   '(43 . 0.0)
		   '(38 . 0.0)
		   '(39 . 0.0))
		 (apply 'append (mapcar  '(lambda (x)
					    (list (cons 10 x) '(40 . 0.0) '(41 . 0.0) '(42 . 0.0))
					    )
					 pts
					 ))
		 (list '(210 0.0 0.0 1.0))
		 )
	  )
  )
(princ"\nCADlon - Lisp over night!")
(princ"\nhttp://www.CADlon.de")
(princ"\nAufteilung von Kreisen/Bgen in LWPolyliniensegmente...Start mit: kbla")
